# billingDetailsUpdate

Update the billing details for an account

**Scope required:** billing:write

For a complete list of input attributes see the [BillingDetailsAttributes](/developer/api-reference/types/billingdetailsattributes.md) type

```graphql
mutation billingDetailsUpdate ($id: ID!, $attributes: BillingDetailsAttributes!) {
  billingDetailsUpdate (id: $id, attributes: $attributes) {
      billingDetails {
        billingCity
        billingCountry
        billingState
        billingStreet
        billingZip
        name
        taxNumber
      }
      errors
  }
}
```

## Arguments

```json
{
  "id": "456123",
  "attributes": {
    "billingStreet": "",
    "billingCity": "",
    "billingState": "",
    "billingZip": "",
    "billingCountry": "",
    "billingContactEmail": "",
    "taxNumber": ""
  }
}
```

| Name       | Type                                                                                   | Description |
| ---------- | -------------------------------------------------------------------------------------- | ----------- |
| id         | ID                                                                                     |             |
| attributes | [BillingDetailsAttributes](/developer/api-reference/types/billingdetailsattributes.md) |             |

## Response

| Name           | Type                                                               | Description |
| -------------- | ------------------------------------------------------------------ | ----------- |
| billingDetails | [BillingDetails](/developer/api-reference/types/billingdetails.md) |             |
| errors         | List (String)                                                      |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/billingdetailsupdate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
